Summary:         HDF4 data handler for the OPeNDAP Data server
Name:            dap-hdf4_handler
Version:         3.7.7
Release:         3%{?dist}
License:         LGPLv2+
Group:           System Environment/Daemons 
Source0:         http://www.opendap.org/pub/source/hdf4_handler-%{version}.tar.gz
Patch0:          %{name}-3.7.7-open.patch
URL:             http://www.opendap.org/

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   libdap-devel >= 3.7.5 hdf-devel
BuildRequires:   bes-devel

%description
This is the hdf4 data handler for our data server. It reads HDF4 and HDF-EOS
files and returns DAP responses that are compatible with DAP2 and the
dap-server software.

%prep 
%setup -q -n hdf4_handler-%{version}
%patch0 -p0

%build
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"

rm $RPM_BUILD_ROOT%{_libdir}/bes/libhdf4_module.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/dap_hdf4_handler
%{_bindir}/bes-hdf4-data.sh
%{_libdir}/bes/libhdf4_module.so
%{_datadir}/hyrax/
%doc COPYING COPYRIGHT_URI NEWS README

%changelog
* Mon Dec 17 2007 Patrice Dumas <pertusus@free.fr> 3.7.7-3
- update to 3.7.7

* Fri Jun  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-3
- rebuild against newer libdap

* Tue May  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-2
- update to 3.7.5

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-4
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.2-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus at free.fr> 3.7.2-2
- update to 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-3
- rebuild for FC-6

* Sat Jul 22 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-2
- update to 3.7.1
- remove upstreamed patch

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-3
- BuildRequires libdap-devel above 3.6.0

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-2
- add patch for gcc 4.1

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-1
- Update to 3.6.0

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
